Bug 8364 - Inconsistency in hold count
Summary: Inconsistency in hold count
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Bugs List
QA Contact:
URL:
Keywords:
Depends on:
Blocks: 8362
  Show dependency treegraph
 
Reported: 2012-07-05 13:21 UTC by Paul Poulain
Modified: 2015-12-03 22:00 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Paul Poulain 2012-07-05 13:21:41 UTC
If a Koha is set with ReservesControlBranch syspref set to ItemHomeLibrary item-level-itype=yes, a patron placing a "first available" hold won't be counted in the total number of reserves placed.
The SQL is SELECT 
  count(*) as count
  FROM reserves
  LEFT JOIN items USING (itemnumber)
  LEFT JOIN biblioitems ON (reserves.biblionumber=biblioitems.biblionumber)
  LEFT JOIN borrowers USING (borrowernumber)
WHERE ...
  AND items.homebranch = ?

=> items is not defined, the hold is not counted
Comment 1 Jonathan Druart 2015-04-07 13:46:02 UTC
This seems to be fixed, please reopen if I am wrong.